Rocky Linux 8 : microcode_ctl (RLSA-2021:3027)

high Nessus Plugin ID 184626

Synopsis

The remote Rocky Linux host is missing one or more security updates.

Description

The remote Rocky Linux 8 host has a package installed that is affected by multiple vulnerabilities as referenced in the RLSA-2021:3027 advisory.

- Incomplete cleanup from specific special register read operations in some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access. (CVE-2020-0543)

- Cleanup errors in some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access. (CVE-2020-0548)

- Cleanup errors in some data cache evictions for some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access. (CVE-2020-0549)

- Incomplete cleanup in some Intel(R) VT-d products may allow an authenticated user to potentially enable escalation of privilege via local access. (CVE-2020-24489)

- Improper isolation of shared resources in some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access. (CVE-2020-24511, CVE-2020-8698)

- Observable timing discrepancy in some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access. (CVE-2020-24512)

- Observable discrepancy in the RAPL interface for some Intel(R) Processors may allow a privileged user to potentially enable information disclosure via local access. (CVE-2020-8695)

- Improper removal of sensitive information before storage or transfer in some Intel(R) Processors may allow an authenticated user to potentially enable information disclosure via local access. (CVE-2020-8696)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected microcode_ctl package.

See Also

https://errata.rockylinux.org/RLSA-2021:3027

https://bugzilla.redhat.com/show_bug.cgi?id=1788786

https://bugzilla.redhat.com/show_bug.cgi?id=1788788

https://bugzilla.redhat.com/show_bug.cgi?id=1827165

https://bugzilla.redhat.com/show_bug.cgi?id=1828583

https://bugzilla.redhat.com/show_bug.cgi?id=1890355

https://bugzilla.redhat.com/show_bug.cgi?id=1890356

https://bugzilla.redhat.com/show_bug.cgi?id=1962650

https://bugzilla.redhat.com/show_bug.cgi?id=1962702

https://bugzilla.redhat.com/show_bug.cgi?id=1962722

https://bugzilla.redhat.com/show_bug.cgi?id=1972325

https://bugzilla.redhat.com/show_bug.cgi?id=1972328

Plugin Details

Severity: High

ID: 184626

File Name: rocky_linux_RLSA-2021-3027.nasl

Version: 1.0

Type: local

Published: 11/6/2023

Updated: 11/6/2023

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.5

CVSS v2

Risk Factor: Medium

Base Score: 4.6

Temporal Score: 3.4

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2020-24489

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:C/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:rocky:linux:microcode_ctl, cpe:/o:rocky:linux:8

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RockyLinux/release, Host/RockyLinux/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 8/9/2021

Vulnerability Publication Date: 1/28/2020

Reference Information

CVE: CVE-2020-0543, CVE-2020-0548, CVE-2020-0549, CVE-2020-24489, CVE-2020-24511, CVE-2020-24512, CVE-2020-8695, CVE-2020-8696, CVE-2020-8698